## Class exception

zeep::exception — zeep::exception is a class used to throw zeep exception.

## Synopsis

    // In header: </home/maarten/projects/libzeep/zeep/exception.hpp>

    class exception {
    public:
      // construct/copy/destruct
      exception(const char *, ...);
      exception(const std::string &);
      ~exception();

      // public member functions
      const char * what() const;
    };

## Description

### `exception` public construct/copy/destruct

1.     exception(const char * message, ...);

   Create an exception with vsprintf like parameters.

2.     exception(const std::string & message);

3.     ~exception();

### `exception` public member functions

1.     const char * what() const;